package com.lanyuanxiaoyao.service.cli.core;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 服务配置
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-17
 */
public class ServiceInfo {
    private Boolean enabled = true;
    private Integer order = 0;
    private List<String> groups = new ArrayList<>();
    private Integer replicas = 0;
    private String sourceJar;
    private List<String> classpath = new ArrayList<>();
    private Map<String, Object> environments = new HashMap<>();
    private Map<String, Object> arguments = new HashMap<>();

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public List<String> getGroups() {
        return groups;
    }

    public void setGroups(List<String> groups) {
        this.groups = groups;
    }

    public Integer getReplicas() {
        return replicas;
    }

    public void setReplicas(Integer replicas) {
        this.replicas = replicas;
    }

    public String getSourceJar() {
        return sourceJar;
    }

    public void setSourceJar(String sourceJar) {
        this.sourceJar = sourceJar;
    }

    public List<String> getClasspath() {
        return classpath;
    }

    public void setClasspath(List<String> classpath) {
        this.classpath = classpath;
    }

    public Map<String, Object> getEnvironments() {
        return environments;
    }

    public void setEnvironments(Map<String, Object> environments) {
        this.environments = environments;
    }

    public Map<String, Object> getArguments() {
        return arguments;
    }

    public void setArguments(Map<String, Object> arguments) {
        this.arguments = arguments;
    }

    @Override
    public String toString() {
        return "ServiceInfo{" +
               "enabled=" + enabled +
               ", order=" + order +
               ", groups=" + groups +
               ", replicas=" + replicas +
               ", sourceJar='" + sourceJar + '\'' +
               ", classpath=" + classpath +
               ", environments=" + environments +
               ", arguments=" + arguments +
               '}';
    }
}
